%define _requires_exceptions pear(/usr/share/php/fpdf/fpdf.php)

Name:  phoronix-test-suite
Version: 4.8.0
Release: %mkrel 1 

Summary:  An Automated, Open-Source Testing Framework
License:  GPLv3
Group:    Monitoring
URL:      http://www.phoronix-test-suite.com/ 
Source0:   http://www.phoronix-test-suite.com/%{name}-%{version}.tar.xz
Source1:  %{name}-launcher.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: php-cli 
Requires: php-gd
Requires: php-session


%description
The Phoronix Test Suite is the most comprehensive testing and
benchmarking platform available for the Linux operating system.
This software is designed to effectively carry out both qualitative
and quantitative benchmarks in a clean, reproducible, and easy-to-use
manner. The Phoronix Test Suite consists of a lightweight processing
core (pts-core) with each benchmark consisting of an XML-based profile
with related resource scripts. The process from the benchmark installation
to the actual benchmarking, to the parsing of important hardware and
software components is heavily automated and completely repeatable,
asking users only for confirmation of actions. 


%prep
%setup -q 


%build
#nobuild


%install
rm -rf %{buildroot}
./install-sh %{buildroot}/usr

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring;System" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#fix launcher 
unxz -c %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_bindir}

#fix looking for ubuntu deps instead of pclos
cp -R $RPM_BUILD_ROOT/%{_datadir}/%{name}/pts-core/external-test-dependencies/xml/pclinuxos-packages.xml \
$RPM_BUILD_ROOT/%{_datadir}/%{name}/pts-core/external-test-dependencies/xml/ubuntu-packages.xml

%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}



%files
%defattr(-,root,root)
%doc COPYING CHANGE-LOG AUTHORS README documentation/*
%config %{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Tue Aug 13 2013 Ken <lxgator at gmail.com> 4.8.0-1pclos2013
- 4.8.0

* Wed May 01 2013 Ken <lxgator at gmail.com> 4.4.1-1pclos2013
- initial pkg

